Bug 1035316 - anaconda should not write the vconsole.keymap=... boot option
Summary: anaconda should not write the vconsole.keymap=... boot option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F20FinalFreezeException 1033250
TreeView+ depends on / blocked
 
Reported: 2013-11-27 14:26 UTC by Mike FABIAN
Modified: 2013-12-10 06:54 UTC (History)
7 users (show)

Fixed In Version: anaconda-20.25.14-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-10 06:54:20 UTC


Attachments (Terms of Use)

Description Mike FABIAN 2013-11-27 14:26:38 UTC
See 

https://bugzilla.redhat.com/show_bug.cgi?id=1033250

Comment 1 Adam Williamson 2013-11-27 18:57:04 UTC
Discussed at 2013-11-27 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-11-27/f20-blocker-review-3.2013-11-27-17.01.log.txt . Accepted as a freeze exception issue: this isn't critical but it can't be fixed post-release as it's about the installer's behaviour, and it would be good to fix things so people can change systemwide keyboard layouts post-install correctly. Mike's test gives us confidence that the change is correct.

Comment 2 Adam Williamson 2013-11-27 20:10:52 UTC
vpodzime: can you push the fix to the 20 branch now it's accepted as FE? Thanks!

Comment 3 Fedora Update System 2013-12-03 00:34:16 UTC
anaconda-20.25.13-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.13-1.fc20

Comment 4 Fedora Update System 2013-12-03 18:23:33 UTC
Package anaconda-20.25.13-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.25.13-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22666/anaconda-20.25.13-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-12-05 01:13:06 UTC
anaconda-20.25.14-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.14-1.fc20

Comment 6 Adam Williamson 2013-12-05 05:18:01 UTC
So, I've just realized an unfortunate consequence of this change: I think we're going to break keymap in initramfs during fedup *again*, for yet *another* different reason. For F20-to-F21, not F19-to-F20. Filed as https://bugzilla.redhat.com/show_bug.cgi?id=1038413 .

Comment 7 Fedora Update System 2013-12-10 06:54:20 UTC
anaconda-20.25.14-1.fc20, python-blivet-0.23.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.